Skip to main content
GET
/
api
/
v0
/
deployment
/
{id}
show deployment
curl --request GET \
  --url https://console.vast.ai/api/v0/deployment/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "deployment": {
    "id": 644,
    "name": "square",
    "tag": "default",
    "image": "vastai/base-image:latest",
    "endpoint_id": 25121,
    "endpoint_state": "active",
    "env": "<string>",
    "s3_key": "<string>",
    "file_hash": "<string>",
    "search_params": "<string>",
    "current_version_id": 123,
    "last_healthy_version_id": 123,
    "storage": 16,
    "ttl": 123,
    "last_client_heartbeat": 123,
    "created_at": 123,
    "updated_at": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vast.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

Deployment ID

Response

Deployment details

success
boolean
Example:

true

deployment
object